Skip to content

Chat Files

GET /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/

Section titled “GET /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/”

List Chat Files

List all files attached to a chat conversation.

Parameters

NameInTypeRequiredDescription
agent_idpathstring (uuid)yes
chat_idpathstring (uuid)yes
org_idpathstring (uuid)yes

Responses

StatusDescriptionBody
200Successful ResponseFileListResponse
422Validation ErrorHTTPValidationError

POST /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/

Section titled “POST /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/”

Attach Chat Files

Attach previously uploaded temp files to a chat conversation.

Parameters

NameInTypeRequiredDescription
agent_idpathstring (uuid)yes
chat_idpathstring (uuid)yes
org_idpathstring (uuid)yes

Request body (required)

FieldTypeRequiredDescription
file_refsagentdepot_api__routers__chat_files__FileRef[]yes

Responses

StatusDescriptionBody
201Successful ResponseFileListResponse
422Validation ErrorHTTPValidationError

DELETE /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/{file_id}

Section titled “DELETE /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/{file_id}”

Delete Chat File

Delete a chat file from S3 (when not shared) and the database.

Parameters

NameInTypeRequiredDescription
agent_idpathstring (uuid)yes
chat_idpathstring (uuid)yes
file_idpathstring (uuid)yes
org_idpathstring (uuid)yes

Responses

StatusDescriptionBody
204Successful Response
422Validation ErrorHTTPValidationError

GET /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/{file_id}/download

Section titled “GET /api/orgs/{org_id}/agents/{agent_id}/chats/{chat_id}/files/{file_id}/download”

Download Chat File

Download a chat file’s content.

Parameters

NameInTypeRequiredDescription
agent_idpathstring (uuid)yes
chat_idpathstring (uuid)yes
file_idpathstring (uuid)yes
org_idpathstring (uuid)yes

Responses

StatusDescriptionBody
200Successful Responseobject
422Validation ErrorHTTPValidationError